<?php
/**
*  @author    Jaroslav Nálezný <jaroslav@nalezny.cz>
*  @copyright 2009-2020 Trust Pay a.s.
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/
class TrustpayPaymentModuleFrontController extends ModuleFrontController
{
	public function initContent()
	{
		$this->display_column_left = false;
		$this->display_column_right = false;

		parent::initContent();
	}

	public function postProcess()
	{
            $allowed_card_currency = false;
            
            $allowed = array('AUD',
                    'CAD',
                    'CZK',
                    'DKK',
                    'EUR',
                    'GBP',
                    'HRK',
                    'HUF',
                    'JPY',
                    'NOK',
                    'PLN',
                    'RON',
                    'SEK',
                    'USD',
                );
            
            $allowed_currency = false;
            $currency = new Currency($this->context->cookie->id_currency);
            $iso_code = Configuration::get('TRUSTPAY_CURRENCY');
            
            if (!in_array($currency->iso_code, $allowed)) {
                $allowed_card_currency = false;
            }
            else {
                $allowed_card_currency = true;
            }

            if($iso_code == $currency->iso_code) {
                $allowed_currency = true;
            }

            $this->context->smarty->assign(array(
                'tpibt_url' => $this->module->getTpibtUrl(),
                'tpcp_url' => $this->module->getTpcpUrl(),
                'view_type' => Configuration::get('TRUSTPAY_VIEW_TYPE'),
                'allowed_currency' => $allowed_currency,
                'allowed_card_currency' => $allowed_card_currency,
                'order_back_url' => $this->context->link->getPageLink('order', true, null, 'step=3'),
                'TRUSTPAY_MODE_BANK' => Configuration::get('TRUSTPAY_MODE_BANK'),
                'TRUSTPAY_MODE_CC' => Configuration::get('TRUSTPAY_MODE_CC'),
            ));

            return $this->setTemplate('module:trustpay/views/templates/front/payment.tpl');
	}
}